<?php

namespace Mush\Modifier\Enum;

abstract class ModifierNameEnum
{
    public const string MUSH_SHOWER_MALUS = 'mush_shower_malus';
    public const string MUSH_CONSUME = 'mush_consume';
    public const string ANTISOCIAL_MODIFIER = 'antisocial_modifier';
    public const string DISABLED_MOVE_MODIFIER = 'disabled_move_modifier';
    public const string APRON_MODIFIER = 'apron_modifier';
    public const string GLOVES_MODIFIER = 'gloves_modifier';
    public const string STARVING = 'starving';
    public const string SCREAMING = 'screaming';
    public const string WALL_HEAD_BANG = 'wall_head_bang';
    public const string RUN_IN_CIRCLES = 'run_in_circles';
    public const string FITFUL_SLEEP = 'fitful_sleep';
    public const string LYING_DOWN_MODIFIER = 'lying_down_modifier';
    public const string ANTIGRAV_SCOOTER_CONVERSION_MODIFIER = 'antigrav_scooter_conversion_modifier';
    public const string LIQUID_MAP_MODIFIER = 'liquid_map_modifier';
    public const string THALASSO_HEALTH_POINTS_MODIFIER = 'thalasso_health_points_modifier';
    public const string THALASSO_MORALE_POINTS_MODIFIER = 'thalasso_morale_points_modifier';
    public const string THALASSO_MOVEMENT_POINTS_MODIFIER = 'thalasso_movement_points_modifier';
    public const string ICARUS_LARGER_BAY_MODIFIER = 'icarus_larger_bay_modifier';
    public const string DOUBLE_HACK_CHANCE = 'double_hack_chance';
    public const string PLAYER_1_MORE_SECTION_REVEALED_ON_ANALYZE_PLANET = 'player_+1_sector_revealed_on_action_analyze_planet';
    public const string PLAYER_MINUS_1_ACTION_POINT_ON_SCAN = 'player_-1_action_point_on_scan';
    public const string CREATIVE_MODIFIER = 'creative_modifier';
    public const string PLAYER_PLUS_1_ACTION_POINT_ON_POST_ACTION_IF_FAILED = 'player_+1_action_point_on_post_action_if_failed';
    public const string PLAYER_PLUS_1_HEALTH_POINT_ON_CHANGE_VARIABLE_IF_FROM_PLANET_SECTOR_EVENT = 'player_+1_health_point_on_change_variable_if_from_planet_sector_event';
    public const string SKILL_POINT_NURSE = 'skill_point_nurse';
    public const string PLAYER_PLUS_1_MORALE_POINT_ON_DAY_CHANGE = 'player_+1_morale_point_on_day_change';
    public const string PLAYER_DOUBLE_SUCCESS_RATE_ON_SHOOT_HUNTER = 'player_double_success_rate_on_shoot_hunter';
    public const string PLAYER_DOUBLE_DAMAGE_ON_SHOOT_HUNTER = 'player_double_damage_on_shoot_hunter';
    public const string PLAYER_PLUS_1_DAMAGE_ON_HIT = 'player_+1_damage_on_hit';
    public const string PLAYER_MINUS_1_ACTION_POINT_ON_PUT_THROUGH_DOOR = 'player_-1_action_point_on_put_through_door';
    public const string PLAYER_ALWAYS_SUCCEEDS_REPAIR_ACTION = 'player_always_succeeds_repair_action';
    public const string DAEDALUS_PLUS_1_MAX_SPORES = 'daedalus_+1_max_spores';
    public const string PREVENT_MUSH_SHOWER_MALUS = 'prevent_mush_shower_malus';
    public const string PLAYER_PLUS_1_INFECTION = 'player_+1_infection';
    public const string PLAYER_MINUS_25_PERCENTAGE_ON_ACTION_HIT_AND_ATTACK = 'player_-25_percentage_on_action_hit_and_attack';
    public const string SHOOTER_SKILL_POINT = 'shooter_skill_point';
    public const string LOST_MODIFIER = 'lost_modifier';
    public const string ROPE_MODIFIER = 'rope_modifier';
    public const string SKILL_POINT_ENGINEER = 'skill_point_engineer';
    public const string SKILL_POINT_CORE = 'skill_point_core';
    public const string SKILL_POINT_IT_EXPERT = 'skill_point_it_expert';
    public const string SKILL_POINT_BOTANIST = 'skill_point_botanist';
    public const string SKILL_POINT_PILGRED = 'skill_point_pilgred';
    public const string SKILL_POINT_SPORE = 'skill_point_spore';
    public const string CEASEFIRE = 'ceasefire';
    public const string MUTE_PREVENT_ACTIONS = 'mute_prevent_actions';
    public const string PREVENT_SHOOT = 'prevent_shoot';
    public const string PREVENT_PILOTING = 'prevent_piloting';
    public const string PREVENT_ATTACKING = 'prevent_attacking';
    public const string PREVENT_PICK_HEAVY = 'prevent_pick_heavy';
    public const string PREVENT_MOVE = 'prevent_move';
    public const string OPTIMIST_MODIFIER = 'optimist_modifier';
    public const string PLAYER_PLUS_2_DAMAGE_ON_HIT = 'player_+2_damage_on_hit';
    public const string PLAYER_PLUS_2_MOVEMENT_POINT_ON_EVENT_ACTION_MOVEMENT_CONVERSION_FOR_SPRINTER = 'player_+2_movement_point_on_event_action_movement_conversion_for_sprinter';
    public const string SPRINTER_MODIFIER = 'sprinter_modifier';
    public const string PLAYER_PLUS_3_ACTION_POINT_ON_ACCEPT_MISSION = 'player_+3_action_point_on_accept_mission';
    public const string DEVOTION_MODIFIER = 'devotion_modifier';
    public const string LOGISTICS_MODIFIER = 'logistics_modifier';
    public const string SKILL_POINT_CHEF = 'skill_point_chef';
    public const string PLAYER_MINUS_1_ACTION_POINT_ON_SEARCH = 'player_-1_action_point_on_search';
    public const string OBSERVANT_MODIFIER = 'observant_modifier';
    public const string PLAYER_PLUS_2_ACTION_POINTS_ON_CONSUME_ACTION_IF_COFFEE = 'player_+2_action_points_on_consume_action_if_coffee';
    public const string CAFFEINE_JUNKIE_MODIFIER = 'caffeine_junkie_modifier';
    public const string PLAYER_SET_0_MORALE_POINT_ON_DEATH = 'player_set_0_morale_point_on_death';
    public const string DETATCHED_CREWMEMBER_MODIFIER = 'detatched_crewmember_modifier';
    public const string PLAYER_PLUS_20_PERCENTAGE_ON_ACTIONS = 'player_+20_percentage_on_actions';
    public const string EXPERT_MODIFIER_ON_ACTIONS = 'expert_modifier_on_actions';
    public const string PLAYER_PLUS_20_PERCENTAGE_ON_CLUMSINESS = 'player_+20_percentage_on_clumsiness';
    public const string EXPERT_MODIFIER_ON_CLUMSINESS = 'expert_modifier_on_clumsiness';
    public const string PLAYER_PLUS_20_PERCENTAGE_ON_DIRTINESS = 'player_+20_percentage_on_dirtiness';
    public const string EXPERT_MODIFIER_ON_DIRTINESS = 'expert_modifier_on_dirtiness';
    public const string PLAYER_MINUS_20_PERCENTAGE_ON_ACTIONS = 'player_-20_percentage_on_actions';
    public const string PARIAH_MODIFIER = 'pariah_modifier';
    public const string PLAYER_PLUS_2_ACTION_POINTS_ON_CONSUME_ACTION_IF_ALIEN_FRUIT = 'player_+2_action_points_on_consume_action_if_alien_fruit';
    public const string FRUGIVORE_MODIFIER_FOR_ALIEN_FRUITS = 'frugivore_modifier_for_alien_fruits';
    public const string PLAYER_PLUS_1_ACTION_POINTS_ON_CONSUME_ACTION_IF_BANANA = 'player_+1_action_points_on_consume_action_if_banana';
    public const string FRUGIVORE_MODIFIER_FOR_BANANA = 'frugivore_modifier_for_banana';
    public const string PLAYER_MINUS_1_SPORE_ON_HEAL = 'player_minus_1_spore_on_heal';
    public const string MYCOLOGIST_MODIFIER = 'mycologist_modifier';
    public const string PLAYER_DOUBLE_PERCENTAGE_ON_SABOTAGE = 'player_double_percentage_on_sabotage';
    public const string SABOTEUR_MODIFIER = 'saboteur_modifier';
    public const string PLAYER_PLUS_3_ACTION_POINT_ON_PLAYER_DEATH = 'player_+3_action_point_on_player_death';
    public const string COLD_BLOODED_MODIFIER = 'cold_blooded_modifier';
    public const string PLANT_SET_CHARGE_TO_ONE = 'plant_set_charge_to_one';
    public const string GREEN_THUMB_MODIFIER = 'green_thumb_modifier';
    public const string PLAYER_MINUS_33_PERCENTAGE_HUNTERS = 'player_minus_33_percentage_hunters';
    public const string STRATEGURU_MODIFIER = 'strateguru_modifier';
    public const string SHRINK_MODIFIER = 'shrink_modifier';
    public const string OPPORTUNIST_MODIFIER = 'opportunist_modifier';
    public const string PLAYER_PLUS_5_ACTION_POINT_ON_FIRST_TITLE_ATTRIBUTION = 'player_+5_action_point_on_first_title_attribution';
    public const string CRAZY_EYE_MODIFIER = 'crazy_eye_modifier';
    public const string INCREASE_AGGRESIVE_ACTION_TO_SKILL_PLAYER_BY_2_AP = 'increase_aggressive_action_to_skill_player_by_2_ap';
    public const string PLAYER_ALWAYS_SUCCEEDS_EXTINGUISH_ACTION = 'player_always_succeeds_extinguish_action';
    public const string GENIUS_MODIFIER = 'genius_modifier';
    public const string FIREFIGHTER_MODIFIER = 'firefighter_modifier';
    public const string PILOT_DRONE_MODIFIER = 'pilot_drone_modifier';
    public const string DRONE_PLUS_20_PERCENTAGE_ON_SHOOT_HUNTER = 'drone_plus_20_percentage_on_shoot_hunter';
    public const string RADIO_EXPERT_MODIFIER_ON_SELF = 'radio_expert_modifier_on_self';
    public const string RADIO_EXPERT_MODIFIER_ON_OTHER_PLAYER = 'radio_expert_modifier_on_other_player';
    public const string PLAYER_X2_SIGNAL_ON_ACTION_CONTACT_SOL = 'modifier_for_player_x2_signal_on_action_contact_sol';
    public const string PLACE_X1_5_SIGNAL_ON_ACTION_CONTACT_SOL = 'modifier_for_place_x1.5_signal_on_action_contact_sol';
    public const string MEDIC_MODIFIER = 'medic_modifier';
    public const string PLUS_2_HEALTH_POINTS_ON_HEAL = 'modifier_for_player_plus_2_health_points_on_heal';
    public const string CAT_OWNER_MODIFIER = 'cat_owner_modifier';
    public const string DOUBLE_DECODE_REBEL_SIGNAL = 'double_decode_rebel_signal';
    public const string REBEL_MODIFIER = 'rebel_modifier';
    public const string APRON_MODIFIER_FOR_PLAYER_PREVENT_DIRTY = 'apron_modifier_for_player_prevent_dirty';
    public const string OCD_MODIFIER_FOR_PLAYER_PREVENT_DIRTY = 'ocd_modifier_for_player_prevent_dirty';
    public const string OCD_MODIFIER = 'ocd_modifier';
    public const string LETHARGY_MODIFIER = 'lethargy_modifier';
    public const string PLUS_1_ACTION_POINT_IF_SLEEPING_FOR_4_CYCLES_AND_MORE = 'PLUS_1_ACTION_POINT_IF_SLEEPING_FOR_4_CYCLES_AND_MORE';
    public const string PLUS_1_ACTION_POINT_IF_MUSH_CONTROLS_MORE_THAN_50_PERCENTS_OF_CREW = 'plus_1_action_point_if_mush_controls_more_than_50_percents_of_crew';
    public const string PANIC_ACTION_POINT_MODIFIER = 'panic_action_point_modifier';
    public const string PLUS_1_MOVEMENT_POINT_IF_MUSH_CONTROLS_MORE_THAN_50_PERCENTS_OF_CREW = 'plus_1_movement_point_if_mush_controls_more_than_50_percents_of_crew';
    public const string PANIC_MOVEMENT_POINT_MODIFIER = 'panic_movement_point_modifier';
    public const string PLAYER_50_PERCENT_CHANCE_TO_PREVENT_DISEASE = 'player_50_percent_chance_to_prevent_disease';
    public const string HYGIENIST_DISEASE_MODIFIER = 'hygienist_disease_modifier';
    public const string PREVENT_MUSH_INFECTIONS_RANDOM_50 = 'prevent_mush_infections';
    public const string HYGIENIST_MUSH_INFECTIONS_MODIFIER = 'hygienist_mush_infections_modifier';
    public const string PLAYER_MINUS_10_PERCENTAGE_ON_ACTIONS = 'player_minus_10_percentage_on_actions';
    public const string POLYMATH_MODIFIER_ON_ACTIONS = 'polymath_modifier_on_actions';
    public const string SKILL_POINT_POLYMATH_IT_POINTS = 'skill_point_polymath_it_points';
    public const string PLUS_2_MAX_PRIVATE_CHANNELS = 'plus_2_max_private_channels';
    public const string POLYMATH_MODIFIER_ON_MAX_PRIVATE_CHANNELS = 'polymath_modifier_on_max_private_channels';
    public const string FITFUL_SLEEP_MINUS_ONE_ACTION_POINT = 'fitful_sleep_for_player_-1actionPoint_on_new_cycle';
    public const string PLAYER_PLUS_1_MAX_SPORES = 'player_plus_1_max_spores';
    public const string MUSHOVORE_BACTERIA_MODIFIER = 'mushovore_bacteria_modifier';
    public const string DAEDALUS_MINUS_2_MAX_SPORES = 'daedalus_-2max_spores';
    public const string ANTISPORE_GAS_MODIFIER = 'antispore_gas_modifier';
    public const string PLUS_1_HEALTH_POINTS_ON_HEAL = 'plus_1_health_points_on_heal';
    public const string ULTRA_HEALING_POMADE_MODIFIER = 'ultra_healing_pomade_modifier';
    public const string PLASTENITE_ARMOR_MODIFIER = 'plastenite_armor_modifier';
    public const string TURRET_MAX_CHARGES_PLUS_4 = 'turret_max_charge_+4';
    public const string TESLA_SUP2X_TURRET_MAX_CHARGES_MODIFIER = 'tesla_sup2x_turret_max_charges_modifier';
    public const string TURRET_CHARGES_PLUS_8 = 'turret_charges_+8';
    public const string TESLA_SUP2X_TURRET_CHARGES_MODIFIER = 'tesla_sup2x_turret_charges_modifier';
    public const string PLUS_2_ACTION_POINTS_ON_EXTRACT_SPORE = 'plus_2_action_points_on_extract_spore';
    public const string CONSTIPASPORE_SERUM_MODIFIER = 'constipaspore_serum_modifier';
    public const string MINUS_1_SPORE_ON_TAKE_SHOWER = 'minus_1_spore_on_take_shower';
    public const string SUPER_SOAPER_MODIFIER = 'super_soaper_modifier';
    public const string SELF_SACRIFICE_MODIFIER = 'self_sacrifice_modifier';
    public const string IMMUNIZED_MODIFIER = 'immunized_modifier';
    public const string MUTE_PREVENT_MESSAGES_MODIFIER = 'mute_prevent_messages';
    public const string GERMAPHOBE_MODIFIER = 'germaphobe_modifier';
    public const string PLUS_3_MORALE_POINTS_FOR_ALL_PLAYERS = 'plus_3_morale_points_for_all_players';
    public const string FIRST_SOL_CONTACT_MODIFIER = 'first_sol_contact_modifier';
    public const string PLUS_8_TRIUMPH_POINTS_FOR_ALL_PLAYERS = 'plus_8_triumph_points_for_all_players';
    public const string WOLF_REBEL_BASE_MODIFIER = 'wolf_rebel_base_modifier';
    public const string PLUS_6_MORALE_POINTS_FOR_ALL_PLAYERS = 'plus_6_morale_points_for_all_players';
    public const string KALADAAN_REBEL_BASE_MODIFIER = 'kaladaan_rebel_base_modifier';
    public const string PLAYER_PLUS_1_ACTION_POINT_ON_CONSUME_ACTION_IF_STANDARD_RATION = 'player_plus_1_action_point_on_consume_action_if_standard_ration';
    public const string SIRIUS_REBEL_BASE_MODIFIER = 'sirius_rebel_base_modifier';
    public const string BLASTER_PLUS_1_STRENGTH_IN_EXPEDITION = 'blaster_plus_1_strength_in_expedition';
    public const string CENTAURI_REBEL_BASE_MODIFIER = 'centauri_rebel_base_modifier';
    public const string CYGNI_PLUS_3_MORALE_POINTS_FOR_ALL_PLAYERS = 'cygni_plus_3_morale_points_for_all_players';
    public const string CYGNI_PLUS_1_DAMAGE_PATROL_SHIPS = 'cygni_plus_1_damage_patrol_ships';
    public const string DOUBLE_DECODE_BASE_SIGNAL = 'double_decode_base_signal';
    public const string KIVANC_MODIFIER = 'kivanc_modifier';
    public const string PLUS_8_TRIUMPH_POINTS_FOR_PAOLA = 'plus_8_triumph_points_for_paola';
    public const string PAOLA_PERSONAL_TRIUMPH_MODIFIER = 'paola_personal_triumph_modifier';
}
